API Reference
=============

mmocr.apis
-------------
.. automodule:: mmocr.apis
    :members:


mmocr.core
-------------
evaluation
^^^^^^^^^^
.. automodule:: mmocr.core.evaluation
    :members:


mmocr.utils
-------------
.. automodule:: mmocr.utils
    :members:


mmocr.models
---------------
common_backbones
^^^^^^^^^^^
.. automodule:: mmocr.models.common.backbones
    :members:

.. automodule:: mmocr.models.common.losses
    :members:

textdet_dense_heads
^^^^^^^^^^^
.. automodule:: mmocr.models.textdet.dense_heads
    :members:

textdet_necks
^^^^^^^^^^^
.. automodule:: mmocr.models.textdet.necks
    :members:

textdet_detectors
^^^^^^^^^^^
.. automodule:: mmocr.models.textdet.detectors
    :members:

textdet_losses
^^^^^^^^^^^
.. automodule:: mmocr.models.textdet.losses
    :members:

textdet_postprocess
^^^^^^^^^^^
.. automodule:: mmocr.models.textdet.postprocess
    :members:

textrecog_recognizer
^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.recognizer
    :members:

textrecog_backbones
^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.backbones
    :members:

textrecog_necks
^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.necks
    :members:

textrecog_heads
^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.heads
    :members:

textrecog_convertors
^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.convertors
    :members:

textrecog_encoders
^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.encoders
    :members:

textrecog_decoders
^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.decoders
    :members:

textrecog_losses
^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.losses
    :members:

textrecog_backbones
^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.backbones
    :members:

textrecog_layers
^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.layers
    :members:

kie_extractors
^^^^^^^^^^^
.. automodule:: mmocr.models.kie.extractors
    :members:

kie_heads
^^^^^^^^^^^
.. automodule:: mmocr.models.kie.heads
    :members:

kie_losses
^^^^^^^^^^^
.. automodule:: mmocr.models.kie.losses
    :members:


mmocr.datasets
-----------------
.. automodule:: mmocr.datasets
    :members:

datasets
^^^^^^^^^^^
.. automodule:: mmocr.datasets.base_dataset
    :members:

.. automodule:: mmocr.datasets.icdar_dataset
    :members:

.. automodule:: mmocr.datasets.ocr_dataset
    :members:

.. automodule:: mmocr.datasets.ocr_seg_dataset
    :members:

.. automodule:: mmocr.datasets.text_det_dataset
    :members:

.. automodule:: mmocr.datasets.kie_dataset
    :members:


pipelines
^^^^^^^^^^^
.. automodule:: mmocr.datasets.pipelines
    :members:

utils
^^^^^^^^^^^
.. automodule:: mmocr.datasets.utils
    :members:
